> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bey.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Call

> Retrieve call.



## OpenAPI

````yaml /openapi.json get /v1/calls/{id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/calls/{id}:
    get:
      tags:
        - Calls
      summary: Retrieve Call
      description: Retrieve call.
      operationId: get_call_v1_calls__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: Call ID.
            title: Id
          description: Call ID.
      responses:
        '200':
          description: Requested Call
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CallResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the object in the database.
          examples:
            - 01234567-89ab-cdef-0123-456789abcdef
        agent_id:
          type: string
          title: Agent Id
          description: ID of agent managing the call.
        tags:
          additionalProperties:
            type: string
            maxLength: 100
            minLength: 1
          propertyNames:
            maxLength: 30
            minLength: 1
          type: object
          maxProperties: 10
          title: Tags
          description: Tags for the call
        started_at:
          type: string
          title: Started At
          description: Start time in ISO 8601 format.
        ended_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Ended At
          description: End time in ISO 8601 format. If null, call might still be ongoing.
      type: object
      required:
        - id
        - agent_id
        - started_at
        - ended_at
      title: CallResponse
      description: Response model for a call.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Your Beyond Presence API Key.
      in: header
      name: x-api-key

````